package check

import "go/slack-bot/pkg/notify"

type Checker interface {
	Check() notify.Message
}

//CliChecker implement checker with cli command
type CliChecker struct {
}

//NewCliChecker buld new cli checker
func NewCliChecker() *CliChecker {
	return &CliChecker{}
}

//Check function use to run cli call to check some parameter
func (cc *CliChecker) Check() notify.Message {
	return notify.Message{
		Content:      "full disk",
		ShouldNotify: true,
	}
}
